.app-header {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  grid-template-rows: auto 1.75rem;
  grid-template-areas:
    'o h h h h h h h h h h c'
    '- - - - - - - - - - - -';
  height: 6rem;
  padding: 0.75rem 0.75rem 0.75rem 0;
  background-color: var(--charcoal);
  z-index: 2;
  position: fixed;
  width: 100%;
}

.app-header > h1 {
  grid-area: h;
  margin-block-end: 0;
  margin-block-start: 0;
  font-size: 3rem;
  text-shadow: 4px 4px 6px var(--darkgreen-5);
  color: var(--white);
}

.open-tray {
  grid-area: o;
  background-color: var(--lapis-lazuli);
  box-shadow: 4px 4px 8px var(--darkgreen-10);
  color: var(--eggshell);
  width: 2.5rem;
  height: 2.5rem;
  border-radius: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.create-todo {
  grid-area: c;
  background-color: var(--carmine);
  color: var(--white);
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 3.5rem;
  height: 3.5rem;
  border-radius: 50%;
  cursor: pointer;
  box-shadow: 4px 4px 6px var(--darkgreen-10);
}
